<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}

{% block auto_command_nb %}
{{ auto_command_nb }}
{% endblock %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% if messages %}

<ul class="messages">
  {% for msg in messages %}

  <uib-alert type="success">{{ msg }}</uib-alert>
  {% endfor %}

</ul>{% endif %}
{% get_current_language as LANGUAGE_CODE %}

<div class="row">
  <div class="col-lg-10">
    <ul class="nav nav-tabs">
      <li role="presentation" class="active"><a href="#">{% trans "Inventories started" %}</a>
      </li>
      <li role="presentation"><a href="/{{ LANGUAGE_CODE}}/inventories/archived">{% trans "Archives" %}</a>
      </li>
    </ul>
  </div>
</div>

<div ng-controller="InventoryModalController">
  <script type="text/ng-template" id="modalContent.html">
    <div class="modal-header">
      <h3 class="modal-title">{% trans "What are you doing the inventory of ?" %}</h3>
    </div>
    <div class="modal-body">
      <div class="row">
        <div class="col-md-4">
          <h4>{% trans "A shelf" %}</h4>
          <form class="form-inline">
            <select ng-model="shelf" ng-options="it.fields.name for it in shelfs" class="form-control"></select>
          </form>
          <button ng-click="ok('shelf')" class="btn btn-primary">{% trans "Ok" %}</button>
          <button ng-click="cancel()" class="btn btn-cancel">{% trans "Cancel" %}</button>
        </div>
        <div class="col-md-4">
          <h4>{% trans "A place" %}</h4>
          <form class="form-inline">
            <select ng-model="place" ng-options="it.name for it in places" class="form-control"></select>
          </form>
          <button ng-click="ok('place')" class="btn btn-primary">{% trans "Ok" %}</button>
          <button ng-click="cancel()" class="btn btn-cancel">{% trans "Cancel" %}</button>
        </div>
        <div class="col-md-4">
          <h4>{% trans "An editor" %}</h4>
          <form class="form-inline">
            <select ng-model="publisher" ng-options="it.fields.name for it in publishers" class="form-control"></select>
          </form>
          <button ng-click="ok('publisher')" class="btn btn-primary">{% trans "Ok" %}</button>
          <button ng-click="cancel()" class="btn btn-cancel">{% trans "Cancel" %}</button>
        </div>
      </div>
    </div>
  </script>

  <div style="margin-top: 5px">
      <button ng-click="open('lg')" class="btn btn-primary">
        {% trans "New" %}
      </button>

    <form method="post" action="/{{ LANGUAGE_CODE }}/inventories?action=archive_all" class="form-inline">
      <input type="submit"
          value='{% trans "Archive all…" %}'
          onclick="return confirm('Voulez-vous archiver tous les inventaires ? Veuillez vérifier qu\'ils soient appliqués à votre stock.')"
          class="btn btn-default">
      </input>

      <div class="btn-group"><a role="button" href="http://abelujo.cc/docs/inventories/" target="_blank" title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i></a>
      </div>
    </form>

  </div>
</div>

<div ng-controller="inventoriesController">
  <div>
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div class="row">
    <div class="btn-group"><span aria-label="page navigation" class="text-right">
      <ul ng-show="inventories.length" ng-cloak="ng-cloak" class="pagination">
        <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
        </li>
        <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
        </li>
        <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
        </li>
        <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
        </li>
        <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
        </li>
      </ul></span>
    </div>
  </div>
  <table class="table table-striped table-hover">
    <thead>
      <tr>
        <th ng-click="sort_by('created')" class="mouse-pointer">{% trans "Created the" %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('name')" class="mouse-pointer">{% trans "Inventory of..." %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('nb_cards')" class="mouse-pointer">{% trans "Nb of titles/copies" %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('value')" class="mouse-pointer">{% trans "Value" %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('closed')" title="{% trans "Was this inventory already applied to your stock ?" %}" class="mouse-pointer">{% trans "Applied ?" %}<span class="caret"></span>
        </th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="inv in inventories" class="my-animated-item">
        <td>{{ 'inv.created'|ng  }}</td>
        <td><a href="{{ 'inv.get_absolute_url'|ng }}">{{ 'inv.name'|ng }}</a>
        </td>
        <td>{{ 'inv.nb_cards'|ng  }} / {{ 'inv.nb_copies'|ng  }}</td>
        <td title="{% trans "Value of all the copies in this inventory" %}">{{ 'inv.value_fmt'|ng  }}</td>
        <td title="{% trans 'the inventory is being applied' %}" ng-if="inv.ongoing" class="i glyphicon glyphicon-refresh"></td>
        <td title="{{'inv.closed'|ng}}" ng-if="inv.applied" class="i glyphicon glyphicon-ok"></td>
        <td ng-if="(! inv.applied) && (! inv.ongoing)"></td>
        <td>
          <div class="btn-group">
            <button type="button" data-toggle="dropdown" class="btn btn-primary dropdown-toggle">{% trans "Action" %}...<span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
              <li><a href="/inventories/{{ 'inv.id'|ng  }}">{% trans "Continue" %}</a>
              </li>
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/terminate/">{% trans "Analyse" %}</a>
              </li>
              <li><a href="#" ng-click="validate( $index )" title="{% trans "Apply this inventory to your stock. This will modify your stock" %}">{% trans "Apply to your stock" %}</a>
              </li>
              <li role="separator" class="divider"></li>
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/archive">{% trans "Archive" %}</a>
              </li>
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/delete" class="i glyphicon glyphicon-trash">{% trans "Delete" %}</a>
              </li>
            </ul>
          </div>
          <div class="btn-group">
            <button type="button" data-toggle="dropdown" class="btn btn-success dropdown-toggle">{% trans "Export" %}...<span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/export?report=bill&format=csv">{% trans "Sells" %} - csv</a>
              </li>
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/export?report=listing&format=csv">{% trans "Full list" %} - csv</a>
              </li>
              <li><a href="/inventories/{{ 'inv.id'|ng  }}/export?report=simplelisting&format=csv">{% trans "isbn and quantities (Dilicom)" %} - csv</a>
              </li>
            </ul>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  <div class="row">
    <div class="btn-group"><span aria-label="page navigation" class="text-right">
      <ul ng-show="inventories.length" ng-cloak="ng-cloak" class="pagination">
        <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
        </li>
        <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
        </li>
        <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
        </li>
        <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
        </li>
        <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
        </li>
      </ul></span>
    </div>
  </div>
</div>{% endblock content %}
